Bug 1628034 (CVE-2018-16421) - CVE-2018-16421 opensc: Buffer overflows handling responses from CAC Cards in card-cac.c:cac_get_serial_nr_from_CUID()
Summary: CVE-2018-16421 opensc: Buffer overflows handling responses from CAC Cards in ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-16421
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1628035 1628036 1630210
Blocks: 1622787
TreeView+ depends on / blocked
 
Reported: 2018-09-12 06:11 UTC by Sam Fowler
Modified: 2019-09-29 14:58 UTC (History)
5 users (show)

Fixed In Version: opensc 0.19.0-rc1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:19:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2154 None None None 2019-08-06 12:21:57 UTC

Description Sam Fowler 2018-09-12 06:11:09 UTC
Several buffer overflows when handling responses from a CAC Card in cac_get_serial_nr_from_CUID in libopensc/card-cac.c in OpenSC before 0.19.0-rc1 could be used by attackers able to supply crafted smartcards to cause a denial of service (application crash) or possibly have unspecified other impact.


External References:

https://www.x41-dsec.de/lab/advisories/x41-2018-002-OpenSC/


Upstream Patch:

https://github.com/OpenSC/OpenSC/commit/360e95d45ac4123255a4c796db96337f332160ad#diff-848b13147a344ba2c6361d91ca77feb1

Comment 1 Sam Fowler 2018-09-12 06:11:34 UTC
Created opensc tracking bugs for this issue:

Affects: fedora-all [bug 1628035]

Comment 4 errata-xmlrpc 2019-08-06 12:21:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2154 https://access.redhat.com/errata/RHSA-2019:2154

Comment 5 Product Security DevOps Team 2019-08-06 13:19:41 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-16421


Note You need to log in before you can comment on or make changes to this bug.